# LIST COMPUTE\_POOLS

## Syntax

```sql
[LIST | SHOW] COMPUTE_POOLS;
```

## Description

This provides a list of[ ](https://docs.deltastream.io/overview/core-concepts/store)compute\_pools to which you have access.

{% hint style="warning" %}
**Important** You're only able to list compute\_pools if your current role has USAGE privileges.
{% endhint %}

## Example

```sh
mydb.public/mystore# show COMPUTE_POOLS;
+-------+-----------------+---------------+-----------------+----------------+-------+----------+-------------+------------+-----------------------------------+----------------------------------+
|  Name |  Intended State |  Actual State |  Error Messages |  Access Region |  Size |  Timeout |  Is Default |    Owner   |             Created At            |            Updated At            |
+-------+-----------------+---------------+-----------------+----------------+-------+----------+-------------+------------+-----------------------------------+----------------------------------+
| "abc" | stopped         | stopped       |                 | K3D us-east-1  | small |      120 | true        | "sysadmin" | 2025-02-25 15:13:03.935 +0000 UTC | 2025-03-04 03:04:04.34 +0000 UTC |
+-------+-----------------+---------------+-----------------+----------------+-------+----------+-------------+------------+-----------------------------------+----------------------------------+

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/list-compute_pools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
